﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using VectorNav.Devices;
 
namespace vectornavform1
   
{
    
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            timer1.Enabled = true;
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            // Change the serial port name and baudrate to your specific
            // configuration.
            var vn100 = new Vn100("COM4", 9600);

            vn100.Connect();
           // %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%//
            // Get the VN-100 sensor's attitude.
            var attitude = vn100.GetAttitude();
            textBox1.Text = String.Format("{0:0.###}", attitude.Ypr.YawInDegs); 
            textBox2.Text = String.Format("{0:0.###}", attitude.Ypr.PitchInDegs);
            textBox3.Text = String.Format("{0:0.###}", attitude.Ypr.RollInDegs);
            textBox4.Text = String.Format("{0:0.###}", attitude.Quat.X);
            textBox5.Text = String.Format("{0:0.###}", attitude.Quat.Y);
            textBox6.Text = String.Format("{0:0.###}", attitude.Quat.Z);
            textBox7.Text = String.Format("{0:0.###}", attitude.Quat.W);
            textBox8.Text = String.Format("{0:0.###}", attitude.Dcm);
            // %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%//
            // Get the VN-100 sensor's Angular Rate(GYRO Values).
            var Angular = vn100.GetAngular();
            textBox9.Text = Angular.ToString();
            textBox10.Text = String.Format("{0:0.###}", Angular.Magnitude);
            // %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%//
            // Get the VN-100 sensor's Accelerometers.
            var Accelerometer = vn100.GetAccel();
            textBox11.Text = Accelerometer.ToString();
            textBox12.Text = String.Format("{0:0.###}", Accelerometer.Magnitude);
            // %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%//
            vn100.Disconnect();
            timer2.Enabled = true;
            timer1.Enabled = false;
        }

        private void timer2_Tick(object sender, EventArgs e)
        {
            timer1.Enabled = true;
            timer2.Enabled = false;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            timer1.Enabled = false;
            timer2.Enabled = false;
            this.Close();
        }       
    }
}

